/* External CSS styling for Web Visualization Dashboard, in addition to Bootstrap */ 

/* Default elements styles */
html{
    position: relative;
    min-height: 100%;
  } 

/*To format body of each page*/
body {
    background-color: #eee;
    color: #839496;
    font-family: sans-serif;
    font-size: 1.1em;
    margin-bottom: 60px; 
  }

/* To format navigation bar with background color as white*/
.navbar{
    max-height: 50px; 
	background-color: #ffffff; 
    font-size: 15px; 
}

/* To format navigation and Latitude button on navigation*/
.navigation .navbar-brand{
	color: white; 
	margin-left: 10px; 
	padding: inherit; 
	font-weight: bold; 
	background-color:rgb(20, 150, 150);
	font-family: Georgia, Times, "Times New Roman", serif;
}

/* To format navigation items(Plots, Comparison, Data) background color when hover on*/
.nav-link:hover{
    background-color:#adc7c4;
}

/* To format dropdown items background color when hovered on*/
.dropdown-menu .dropdown-item:hover, .dropdown-menu .dropdown-item:active{
    background-color:#adc7c4; 
}

/* To format main description */
.description-content {
    margin-top: 30px;
    padding: 10px 15px 40px;
    color: black;
    background-color: white;
}

/* To format sidebar visualization content on right across all pages*/
.imageNav-content {
    margin-top: 30px;
    margin-right: 40px;
    padding: 10px 40px 20px;
    padding-left: 20px;
    color: black;
    background-color: white;
}

/* To format main description header*/
.description-header {
    margin-bottom: 30px;
    padding-top: 30px; 
    padding-left: 20px;
    color: rgb(20, 150, 150);
    font-size: 28px;
    font-weight: bolder;
    font-family: Georgia, Times, "Times New Roman", serif;
}

/* To format sidebar visualization header on right across all pages*/
.imageNav-header {
    padding-top: 20px; 
    margin-bottom: 25px;
    font-family: Georgia, Times, "Times New Roman", serif;
    font-size: 23px;
    font-weight: bold;
    color: rgb(20, 150, 150);
  }

/* To format description image*/
.description-image {
	float: left;
	width: 160px;
    height: 160px;
    margin-top: 15px;
    margin-right: 15px;
}

/* To format sidebar visualization images on right across all pages*/
img{
    margin-top: 10px;
    width: 125px;
    height: 125px;
}

/* To format each image paragraph-descriptions*/
p {
    font-family: Georgia;
    display: block;
    font-size: 0.8em;
    padding-bottom: 18px;
    padding-top: 17px;
    padding-left: 20px;
    padding-right: 15px;
    color: slategray;
    margin-top: 5px;
    margin-right: 20px
  }

p {
    display: block;
    margin-block-start: 0px;
    margin-block-end: 0px;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
}

/* To highlight visualization image selection with a solid color when hovered on*/
.active, .imageNav-photo:hover{
    border-color:rgb(20, 150, 150);
    border-style: solid; 
    opacity: 0.7;
}
/* To include footer across all pages*/
.footer{
    background-color: #505251; 
    border-top-style: solid; 
    border-top-width: 4px; 
    border-top-color: rgb(20, 150, 150);
    color: white; 
    min-height: 50px; 
    font-family: Arial, Helvetica, sans-serif;
    font-size: 15px; 
    text-align: center; 
    position: fixed;
    padding-top: 10px; 
    width: 100%;
    left: 0;
    bottom: 0;
}

/* For visualization pages - main frame style */
    /*max temperature , humidity, cloudiness, wind speed*/
.description-image-vis{
    margin-top: 10px;
    width: 100%;
    height: 100%;
}

    /* For visualization pages - To format sidebar visualization content on right*/
.imageNav-content-vis{
    margin-top: 5px;
    margin-right: 40px;
    padding: 10px 40px 20px;
    padding-left: 20px;
    color: black;
    background-color: white;
}

/* For comparison page - main frame style */
    /* To format each visualization image*/
.imageNav-photo-comparison{
    padding-bottom: 40px;
    padding-left: 10px;
    margin-right: 80px;
    width: 110%;
    height: 90%;
}
    /* To format "click any plot" heading*/
h3 {
    font-size: 16px;
    font-family: Georgia, Times, "Times New Roman",serif;
    margin-left: 20px;
    padding-bottom: 20px;
  }

    /* To format heading of each visualization*/
.comparison-header {
    color: rgb(20, 150, 150);
    margin-bottom: 15px;
    font-family: Georgia, Times, "Times New Roman", serif;
    font-size: 22px;
    font-weight: bold;
  } 

    /* To format placement of each visualization*/
.description2-content{
    padding-left: 20px;
    padding-right: 30px;
    padding-bottom: 10px;
    margin-top: 20px;
    margin-bottom: 120px;
    margin-left: 60px;
    margin-right: 90px;
    background-color:white;
  }

/* Media query for body and navigation bar across all pages */
@media (max-width: 768px){
    body {
        background-color: #fff; /* white */
      }
    .navbar-expand-lg{
        background-color: rgb(20, 150, 150);
    }
    .navbar{
        max-height: none; 
        padding: inherit;
    }
    .navbar div{
        margin: inherit; 
        background-color: white;  
    }
    .navbar-brand{
        padding: 10px; 
    }
    button{
        margin-left: auto; 
    }
    button:focus {
        outline: 1px dotted;
    }
    /* The below classes are used to format Comparison Page Media Query Images and header*/
    .imageNav-photo-comparison{
        padding-right: 200px;
        width: 220%;
        height: 90%;
        margin-bottom: 20px;
    }
    .comparison-header {
        color: rgb(20, 150, 150);
        margin-top: 30px;
        margin-bottom: 5px;
        font-family: Georgia, Times, "Times New Roman", serif;
        font-size: 22px;
        font-weight: bold;
        margin-left: 1px;
      } 
    }